This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 142519 - RedHat Update icon freezing
RedHat Update icon freezing
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-10 03:46 EST by antonio montagnani
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 10:02:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description antonio montagnani 2004-12-10 03:46:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
the icon on my application bar freezes (staying blue) at start up
stating searching for RNH updates, but no action for hours.The Red Hat
Network is working fine as I could get latest updates.

If I right click on same icon the only option not shadowed is exit

Version-Release number of selected component (if applicable):
	up2date 4.3.47-5 up2date-gnome 4.3.47-5

How reproducible:
Always

Steps to Reproduce:
1.Start Fedora
2.Wait and see the RedHat update icon staying blue
3.
    

Actual Results:  Icon freezes blue

Expected Results:  Switching drom blue to red if any update available

Additional info:
Comment 1 antonio montagnani 2004-12-13 04:27:58 EST
Disinstalled up2date, up2date-gnome, firtsboot and rhn-applet, then
re-installed same packages, but still no improvement.
What is locking my poor RHN applet??
Comment 2 antonio montagnani 2004-12-15 03:04:59 EST
 rhn-applet-gui
/usr/share/rhn/rhn_applet/rhn_applet.py:148: GtkWarning:
/usr/lib/gtk-2.0/2.4.0/ engines/libredmond95.so: undefined symbol:
gtk_widget_get_direction
  self.applet_window = eggtrayicon.create_window("rhn-applet")
/usr/lib/python2.3/site-packages/gtk-2.0/gtk/__init__.py:90:
GtkDeprecationWarni ng: gtk.mainloop is deprecated, use gtk.main instead
  self.warn(message, DeprecationWarning)
/usr/lib/python2.3/site-packages/gtk-2.0/gtk/__init__.py:90:
GtkDeprecationWarni ng: gtk.mainiteration is deprecated, use
gtk.main_iteration instead
  self.warn(message, DeprecationWarning)
Traceback (most recent call last):
  File "/usr/share/rhn/rhn_applet/rhn_applet.py", line 460, in
refresh_handler
    self.refresh(force)
  File "/usr/share/rhn/rhn_applet/rhn_applet.py", line 577, in refresh
    if self.nag_check():
  File "/usr/share/rhn/rhn_applet/rhn_applet.py", line 533, in nag_check
    self.model.get_caps()
  File "/usr/share/rhn/rhn_applet/rhn_applet_model.py", line 255, in
get_caps
    self.fully_initialized()
  File "/usr/share/rhn/rhn_applet/rhn_applet_model.py", line 368, in
fully_initi alized
    self.__build_sources()
  File "/usr/share/rhn/rhn_applet/rhn_applet_model.py", line 134, in
__build_sou rces
    rhn_utils.log_debug("Failed to initialize source %s for %s : %s
%s" % (
KeyError: 'url'


Is the output of starting rhn-applet-gui in a terminal.
RHN is working fine, only the icon on the min menu is still freezing
Comment 3 antonio montagnani 2004-12-20 05:39:42 EST
It seems that is failing to initialize source.

This for me is mysterious as I can update regularly by RedHat Network
(even this morning).

Any hint?
Comment 4 antonio montagnani 2005-01-17 09:58:26 EST
It seems that the following line is the problem


>> #dir personale /home/antoniomontagnani/software/

and that bug (for fc3test) has been already reported!!!

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=132167
Comment 5 Matthew Miller 2006-07-10 17:16:55 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 6 John Thacker 2006-10-29 10:02:30 EST
Closing per lack of response to previous comment.  If this still occurs on FC3
or FC4 and is a security issue, please assign to Fedora Legacy and the
appropriate version.  The bug could also be filed against RHEL if it is relevant
there.

up2date has been replaced by pirut and pup in FC5 and FC6, the still fully
supported versions of Fedora Core, so this bug will not be fixed unless it is a
security issue.

Note You need to log in before you can comment on or make changes to this bug.